  CFG = Release Build
  BUILD_DIR = windows\Release_Build
  Release Build = 1
  BCBX = C:\BuilderX
  
default: builddir windows\Release_Build\pboom.exe

all: default

windows\Release_Build\algs.obj: algs.cpp
	bcc32 -g100 -j25 -O2 -k- -vi -tWC -c -I$(BCBX)\include -o$(BUILD_DIR)\algs.obj   algs.cpp

windows\Release_Build\boom.obj: boom.cpp
	bcc32 -g100 -j25 -O2 -k- -vi -tWC -c -I$(BCBX)\include -o$(BUILD_DIR)\boom.obj   boom.cpp

windows\Release_Build\buffers.obj: buffers.cpp
	bcc32 -g100 -j25 -O2 -k- -vi -tWC -c -I$(BCBX)\include -o$(BUILD_DIR)\buffers.obj   buffers.cpp

windows\Release_Build\bufferstruct.obj: bufferstruct.cpp
	bcc32 -g100 -j25 -O2 -k- -vi -tWC -c -I$(BCBX)\include -o$(BUILD_DIR)\bufferstruct.obj   bufferstruct.cpp

windows\Release_Build\cd.obj: cd.cpp
	bcc32 -g100 -j25 -O2 -k- -vi -tWC -c -I$(BCBX)\include -o$(BUILD_DIR)\cd.obj   cd.cpp

windows\Release_Build\conf.obj: conf.cpp
	bcc32 -g100 -j25 -O2 -k- -vi -tWC -c -I$(BCBX)\include -o$(BUILD_DIR)\conf.obj   conf.cpp

windows\Release_Build\cover.obj: cover.cpp
	bcc32 -g100 -j25 -O2 -k- -vi -tWC -c -I$(BCBX)\include -o$(BUILD_DIR)\cover.obj   cover.cpp

windows\Release_Build\decomp.obj: decomp.cpp
	bcc32 -g100 -j25 -O2 -k- -vi -tWC -c -I$(BCBX)\include -o$(BUILD_DIR)\decomp.obj   decomp.cpp

windows\Release_Build\dft.obj: dft.cpp
	bcc32 -g100 -j25 -O2 -k- -vi -tWC -c -I$(BCBX)\include -o$(BUILD_DIR)\dft.obj   dft.cpp

windows\Release_Build\fcmin.obj: fcmin.cpp
	bcc32 -g100 -j25 -O2 -k- -vi -tWC -c -I$(BCBX)\include -o$(BUILD_DIR)\fcmin.obj   fcmin.cpp

windows\Release_Build\checks.obj: checks.cpp
	bcc32 -g100 -j25 -O2 -k- -vi -tWC -c -I$(BCBX)\include -o$(BUILD_DIR)\checks.obj   checks.cpp

windows\Release_Build\ie.obj: ie.cpp
	bcc32 -g100 -j25 -O2 -k- -vi -tWC -c -I$(BCBX)\include -o$(BUILD_DIR)\ie.obj   ie.cpp

windows\Release_Build\implcheck.obj: implcheck.cpp
	bcc32 -g100 -j25 -O2 -k- -vi -tWC -c -I$(BCBX)\include -o$(BUILD_DIR)\implcheck.obj   implcheck.cpp

windows\Release_Build\ir.obj: ir.cpp
	bcc32 -g100 -j25 -O2 -k- -vi -tWC -c -I$(BCBX)\include -o$(BUILD_DIR)\ir.obj   ir.cpp

windows\Release_Build\kernel.obj: kernel.cpp
	bcc32 -g100 -j25 -O2 -k- -vi -tWC -c -I$(BCBX)\include -o$(BUILD_DIR)\kernel.obj   kernel.cpp

windows\Release_Build\simulate.obj: simulate.cpp
	bcc32 -g100 -j25 -O2 -k- -vi -tWC -c -I$(BCBX)\include -o$(BUILD_DIR)\simulate.obj   simulate.cpp

windows\Release_Build\tboolfnct.obj: tboolfnct.cpp
	bcc32 -g100 -j25 -O2 -k- -vi -tWC -c -I$(BCBX)\include -o$(BUILD_DIR)\tboolfnct.obj   tboolfnct.cpp

windows\Release_Build\tpfnct.obj: tpfnct.cpp
	bcc32 -g100 -j25 -O2 -k- -vi -tWC -c -I$(BCBX)\include -o$(BUILD_DIR)\tpfnct.obj   tpfnct.cpp

windows\Release_Build\pboom.exe: windows\Release_Build\algs.obj windows\Release_Build\boom.obj windows\Release_Build\buffers.obj \
         windows\Release_Build\bufferstruct.obj windows\Release_Build\cd.obj windows\Release_Build\conf.obj \
         windows\Release_Build\cover.obj windows\Release_Build\decomp.obj windows\Release_Build\dft.obj \
         windows\Release_Build\fcmin.obj windows\Release_Build\checks.obj windows\Release_Build\ie.obj \
         windows\Release_Build\implcheck.obj windows\Release_Build\ir.obj windows\Release_Build\kernel.obj \
         windows\Release_Build\simulate.obj windows\Release_Build\tboolfnct.obj windows\Release_Build\tpfnct.obj \
        
	ilink32 -ap -Tpe -x -Gn -L$(BCBX)\lib  c0x32.obj windows\Release_Build\algs.obj windows\Release_Build\boom.obj windows\Release_Build\buffers.obj windows\Release_Build\bufferstruct.obj windows\Release_Build\cd.obj windows\Release_Build\conf.obj windows\Release_Build\cover.obj windows\Release_Build\decomp.obj windows\Release_Build\dft.obj windows\Release_Build\fcmin.obj windows\Release_Build\checks.obj windows\Release_Build\ie.obj windows\Release_Build\implcheck.obj windows\Release_Build\ir.obj windows\Release_Build\kernel.obj windows\Release_Build\simulate.obj windows\Release_Build\tboolfnct.obj windows\Release_Build\tpfnct.obj,$(BUILD_DIR)\pboom.exe,,cw32.lib import32.lib,,

builddir:
	-mkdir windows
	-mkdir windows\Release_Build

clean:
	-del windows\Release_Build\algs.obj
	-del windows\Release_Build\algs.csm
	-del windows\Release_Build\boom.obj
	-del windows\Release_Build\boom.csm
	-del windows\Release_Build\buffers.obj
	-del windows\Release_Build\buffers.csm
	-del windows\Release_Build\bufferstruct.obj
	-del windows\Release_Build\bufferstruct.csm
	-del windows\Release_Build\cd.obj
	-del windows\Release_Build\cd.csm
	-del windows\Release_Build\conf.obj
	-del windows\Release_Build\conf.csm
	-del windows\Release_Build\cover.obj
	-del windows\Release_Build\cover.csm
	-del windows\Release_Build\decomp.obj
	-del windows\Release_Build\decomp.csm
	-del windows\Release_Build\dft.obj
	-del windows\Release_Build\dft.csm
	-del windows\Release_Build\fcmin.obj
	-del windows\Release_Build\fcmin.csm
	-del windows\Release_Build\checks.obj
	-del windows\Release_Build\checks.csm
	-del windows\Release_Build\ie.obj
	-del windows\Release_Build\ie.csm
	-del windows\Release_Build\implcheck.obj
	-del windows\Release_Build\implcheck.csm
	-del windows\Release_Build\ir.obj
	-del windows\Release_Build\ir.csm
	-del windows\Release_Build\kernel.obj
	-del windows\Release_Build\kernel.csm
	-del windows\Release_Build\simulate.obj
	-del windows\Release_Build\simulate.csm
	-del windows\Release_Build\tboolfnct.obj
	-del windows\Release_Build\tboolfnct.csm
	-del windows\Release_Build\tpfnct.obj
	-del windows\Release_Build\tpfnct.csm
	-del windows\Release_Build\pboom.exe
	-del windows\Release_Build\pboom.map
	-del windows\Release_Build\pboom.ilc
	-del windows\Release_Build\pboom.ilf
	-del windows\Release_Build\pboom.ils
	-del windows\Release_Build\pboom.tds
	-del windows\Release_Build\pboom.ild
