#ifndef confH
  #define confH

  #ifndef max
    #define max(a,b) (((a)>(b))?a:b)
  #endif
  #ifndef min
    #define min(a,b) (((a)<(b))?a:b)
  #endif

  #ifdef __BORLANDC__
    #define BC
  #endif
  #ifdef __unix__
    #define UNIX
  #endif
  #include <stdlib.h>

  #ifndef BC
    #include <memory.h>
    #include <float.h>
    #include <limits.h>
    #include <ctime>
    #include <cstdlib>

    #define setmem(d,l,v) (void)memset(d,v,l)
    #define strncmpi nonbc_strncmpi
    #define strcmpi nonbc_strcmpi

    int nonbc_strncmpi( const char * s1, const char * s2, int n );
    int nonbc_strcmpi( const char * s1, const char * s2 );
    #define random(a) (a ? (int)(rand()%(a)) : 0)
//    #define random(a) int(a * rand()/(RAND_MAX+1.0))
  #endif
#endif
