//---------------------------------------------------------------------------
#include <string.h>
//---------------------------------------------------------------------------
#include "conf.h"
#include "tboolfnct.h"
#include "dft.h"
#include "tpfnct.h"
//---------------------------------------------------------------------------
int ConeSize( TBoolFnct * fn, int ovr )
{
  int i, c;
  char * us;
  TPfnct * ff;

  us = new char[fn->inpvars];
  setmem( us, fn->inpvars, 0 );
  ff = fn->fnct;
  while ( ff != 0 )
  {
    if ( ff->ov[ovr] == '1' )
      for ( i = 0; i < fn->inpvars; i++ )
        if ( ff->iv[i] != '-' ) us[i] = 1;
    ff = ff->next;
  }
  c = 0;
  for ( i = 0; i < fn->inpvars; i++ )
    if ( us[i] == 1 ) c++;
  delete[] us;
  return c;
}
//---------------------------------------------------------------------------
int InpUsed( TBoolFnct * fn )
{
  int i, c;
  char * us;
  TPfnct * ff;

  us = new char[fn->inpvars];
  setmem( us, fn->inpvars, 0 );
  ff = fn->fnct;
  while ( ff != 0 )
  {
    for ( i = 0; i < fn->inpvars; i++ )
      if ( ff->iv[i] != '-' ) us[i] = 1;
    ff = ff->next;
  }
  c = 0;
  for ( i = 0; i < fn->inpvars; i++ )
    if ( us[i] == 1 ) c++;
  delete[] us;
  return c;
}
//---------------------------------------------------------------------------
