#ifndef buffersH
  #define buffersH
//---------------------------------------------------------------------------
class TermTree;
//---------------------------------------------------------------------------
class TBuffers
{
  private:
  TBoolFnct *source;
  public:
  TermTree * * i_buffer; // CD-search buffer for each output (hist)
  TBoolFnct * e_buffer; // CD/IE-phase buffer (shist)
  TBoolFnct * r_buffer; // IR-phase buffer (allf)
  TBoolFnct * minf; // minimized function
  TBoolFnct * ess;
  TermTree * primes_ie; // primes after IE (PrHist)
  TermTree * * offtree; // offset tree
  TermTree * * imp_test; //
  TBuffers(TBoolFnct *srcf);
  ~TBuffers();
};
//---------------------------------------------------------------------------
#endif
