#include <stdio.h>
#include <string.h>
#include <memory.h>
#include <ctype.h>
#include <cstdlib>

#ifdef UNIX
  #include <ctime>
#endif

#include "conf.h"

#ifndef BC
//---------------------------------------------------------------------------
int nonbc_strncmpi( const char * s1, const char * s2, int n )
{
  for ( int i = 0; i < n; i++ )
  {
    if ( tolower( s1[i] ) > tolower( s2[i] ) ) return 1;
    if ( tolower( s1[i] ) < tolower( s2[i] ) ) return -1;
  }
  return 0;
}
//---------------------------------------------------------------------------
int nonbc_strcmpi( const char * s1, const char * s2 )
{
  int ls1 = strlen( s1 );
  int ls2 = strlen( s2 );

  if ( ls1 > ls2 ) return 1;
  if ( ls1 < ls2 ) return -1;
  for ( int i = 0; i < ls1; i++ )
  {
    if ( tolower( s1[i] ) > tolower( s2[i] ) ) return 1;
    if ( tolower( s1[i] ) < tolower( s2[i] ) ) return -1;
  }
  return 0;
}
//---------------------------------------------------------------------------
#endif
